





                                 Auto-Tickler
                                 ************                                  
                            Designed by Rick Pittser
                                 ************
                                Copyright 1991
                                 ************


     This program has been designed as shareware and is distributed as such.
     The software is licensed to you while Rick Pittser retains all
     ownership.  You may not distribute, copy, or modify the program without
     the express written consent of Rick Pittser.



     Starting Auto-Tickler
     ---------------------

     To start Auto-Tickler get to a DOS prompt.  If the AT sub-directory
     is not in your path statement, change directories to the one holding AT.
     To do this type:

                   CD\TICKLE  {or the name of your directory}

     Auto-Tickler is then invoked by typing 'tickle' on the command line with
     one or more of the following switches.

     Auto-Tickler Switches
     ---------------------

     /u -  This switch must be used to let AT know which users is logging
           in to the system.  Ex. /utickle.  No spaces should proceed the
           user name.  'Tickle' is the default file distributed with the
           program and should not be deleted.  This file may be the only
           one you use.  However, if you have many users or would like to
           separate your functions to seperate files you may create new
           files by entering the /u switch with a new name.  For example,
           if you would like to create a seperate file of all birthdays,
           you may create the file by entering '/ubirth', and a new file
           will be created.
     /p -  Use this switch to have a printout of events occuring on the
           current date without entering the AT menu system.  The /u
           switch with user name must also be entered on the command line
           with the /p switch so that AT knows which data file to print from.
           This comes in handy to put in your AUTOEXEC.BAT file to print
           a list each time you turn on your computer.  Be sure \tickler
           is in your path statement.

     /m -  This switch will take you directly to the schedule menu system,
           bypassing the initial menu.

     /c -  The /c switch is used to combine files for a user which has
           configured their system to access other tickler files.

     /s -  To display events for the current date to the screen.


     The Opening Menu
     ----------------
     The functions and their corresponding operations are listed at the top
     of the screen.  These perform as following:
          F1 - Schedule - Use this function to enter the schedule and 
                          enter, change, or delete events, and check
                          the calendar.

          F2 - Quick Print - Press the key to receive a printout of 
                             the daily events for today's date.

          F3 - Configure - Enter information pertinent to your system.

          F4 - Help - Display the help information.

          ESC - Exit Auto-Tickler

     Of the above only one leads to a sub-menu, that is F1 - Schedule


     The Schedule Menu
     -----------------
     The functions and their corresponding operations are listed at the top
     of the screen.  These perform as following:
          F1 - Enter - Enter the information for a new event, the fields
                      are used as following:
                         Quick Find - this is a short name by which you refer
                         to your event.  Each must be unique.
                         Title - a more descriptive event name
                         Initial
                          Occurence - The first date your event will occur.
                         Period - A two part field containing a number
                         and one of the letters below.  The number is the
                         number of X's apart the event occurs (where X=
                         one of the letters below)
                         D=daily W=Weekly M=Monthly Y=Yearly
                         Repetitions - How many times this event gets 
                         scheduled.
                         Notes - Y or N - if Y the notes side of the screen
                         opens up to allow for some free format information
                         to be typed.
                      After all information is entered, your event is
                      displayed in 'English' at the bottom of the screen. 
                      Press a key to continue.  Press the escape key to quit
                      at any time.

          F2 - Lookup - Lookup and/or change an events information.  Use
                        the Quick Find name to locate your event.  Enter
                        as much or little of the event QF you want.  The
                        search will be based on what you enter.  Once an
                        event is found, you may page up/down through all
                        events in the file.  Exit this function by pressing
                        Esc.

          F3 - Remove - Works as Lookup, except that you may delete the 
                        event after it is found by pressing the the F10 key.

          F4 - Filter - This function allows you to set a filter for matching
                        records in both the lookup, remove, and calendar
                        functions.  You may filter on either the Period, or
                        the Category fields.  Enter information in either
                        of these fields, and upon lookup, or display, AT
                        will display only those records matching the criteria.
                        This way, you can set a filter to match only a given
                        Category, or Period.

          F5 - calendar - Here is where you can look at the events in relation
                          to your Calendar.  After pressing F5 enter a 'Hot
                          Date'.  AT will display a full month calendar on
                          screen, with your 'Hot Date' highlighted.  You may
                          then move the calendar cursor to any date to perform
                          the available functions listed below:
                              Each date which has an event scheduled, will
                              be marked with one asterisk per event.  If
                              there are more than 20 events a '>' will be
                              displayed in the last spot.

                              Move the calendar cursor to the date you wish
                              to work with.  Press enter for a listing of
                              events scheduled for that date.  You may 
                              cursor to any of the events on the list.
                              
                              If the event has a note symbol in the right
                              most column, there are notes associated with
                              the event, and you may press enter on that
                              event to open a window containing the notes.

                              Press the F1 key to print a list of the events
                              scheduled for that date.

                              Press the F2 key to toggle the delete status
                              of the highlighted event.  If the event has 
                              notes an '*' appears in the right column,
                              otherwise, a check mark appears there.  You
                              may undelete the event by pressing the F2 key
                              again.  However, all events marked for 
                              deletion are removed, upon exiting the 
                              calendar function.

                              Press ESC to close the open event or notes
                              windows.
                         Press ESC when finished working in the calendar.
                              
          ESC - Exit the Schedule menu and return to the Opening Menu.

     Thats a quick tour of the AT system.  Upon registering, you will
     receive a full manual detailing and giving further examples of all
     the AT functions


     A Quick Example
     ---------------
     Every three months I change the oil in my car.  Therefore, I would
     like to set up an event which reminds me to do this.  I would input
     the following information:

          Quick Find:  OIL

          Title:       Change Oil in Car
          Initial
           Occurance:  01/01/90
          Period:      3 M   (this means once every 3 months)
     or   Period:     12 W   (this means once every 12 weeks)

          Repetitions: 0     (I enter 0 to repeat indefinetly)
     or   Repetitions: 4     (Schedule it 4 times)

          Category:    Auto  (I can use this later to set a filter
                             for all things relating to my car)

          Notes:       Y or N

          Notes:       Free form after answering Y to previous field.
